Status: Closed

Priority: Normal

Assignee: Nathan Woodrow

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Windows 8.1 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 20604

Description

Hi !

When you enter an expression that has a very long result (eg. geomToWKT( $geometry ) with complex geometries ), the expression

builder dialog gets extremely wide (way beyond the screen) because the text doesn't wrap and is displayed completely.

It's annoying because you can't see the OK/Cancel buttons anymore.

Tested under Windows 8.1 and QGIS nightly.

I think the result should be limited to maybe 100 characters ?

Thanks

Thanks !

Related issues:

Duplicates QGIS Application - Bug report # 12525: Field calculator preview up... Closed 2015-04-07

Associated revisions

Revision 204cf751 - 2015-05-17 01:19 PM - Nyall Dawson

Truncate expression preview result in builder widget if too long

Prevents window from resizing to extreme widths (fix #12433)

Revision 8962d843 - 2015-05-18 10:26 PM - Nyall Dawson

Truncate expression preview result in builder widget if too long

Prevents window from resizing to extreme widths (fix #12433)

History

#1 - 2015-03-24 12:52 AM - Nathan Woodrow

So enabling wrapping is the correct option that would work here?

#2 - 2015-03-24 12:53 AM - Nathan Woodrow
- Assignee set to Nathan Woodrow

#3 - 2015-05-17 05:16 AM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"204cf7519500de7ceff298ef450c60479fe11acf".
